be.cin.mycarenet._1_0.carenet.types

## Class ExtCareReceiverStrictIdType

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.CareReceiverStrictIdType
  - - be.cin.mycarenet._1_0.carenet.types.ExtCareReceiverStrictIdType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:07:47+01:00",
                 comments="JAXB RI v2.2.11")
      public class ExtCareReceiverStrictIdType
      extends CareReceiverStrictIdType
      implements Serializable

  Extension of the CareReceiverType used to identified the Care Receiver in the 4XXXXX messages

  Java class for ExtCareReceiverStrictIdType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ExtCareReceiverStrictIdType">
         <complexContent>
           <extension base="{urn:be:cin:mycarenet:1.0:carenet:types}CareReceiverStrictIdType">
             <sequence>
               <element name="Sex" type="{urn:be:cin:mycarenet:1.0:carenet:types}SexType"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtCareReceiverStrictIdType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SexType` | `getSex()` Gets the value of the sex property.
    `void` | `setSex(SexType value)` Sets the value of the sex property.

    - ### Methods inherited from class be.cin.mycarenet._1_0.carenet.types.CareReceiverStrictIdType

      `getInss, getMutuality, getRegNrWithMut, setInss, setMutuality, setRegNrWithMut`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtCareReceiverStrictIdType

          public ExtCareReceiverStrictIdType()

  - ### Method Detail

    - #### getSex

          public SexType getSex()

      Gets the value of the sex property.
      Returns:
        possible object is `SexType`

    - #### setSex

          public void setSex(SexType value)

      Sets the value of the sex property.
      Parameters:
        `value` - allowed object is `SexType`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.